Bug 180937 - Skip slow jsc tests on embedded platforms
Summary: Skip slow jsc tests on embedded platforms
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-12-18 11:31 PST by Guillaume Emont
Modified: 2018-01-02 12:59 PST (History)
6 users (show)

See Also:


Attachments
Patch (2.14 KB, patch)
2017-12-18 11:38 PST, Guillaume Emont
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Guillaume Emont 2017-12-18 11:31:57 PST
The tests typeProfiler/deltablue-for-of.js and typeProfiler/getter-richards.js take a very long time in the ftl-no-cjit-type-profiler-force-poly-proto on embedded platform, and thus always timeout. They should be skipped on these platforms.
Comment 1 Guillaume Emont 2017-12-18 11:38:41 PST
Created attachment 329657 [details]
Patch

Patch skipping the tests on all arm and mips architectures.
Comment 2 Adrian Perez 2017-12-20 09:29:30 PST
Comment on attachment 329657 [details]
Patch

Informally reviewing: r+

This sounds reasonable to me, given that many ARM/MIPS based-devices
readily available for development and actually running the tests tend
to be SoC targeted to the embedded market which tend to be limited
in memory, speed, or both.
Comment 3 WebKit Commit Bot 2017-12-21 07:44:00 PST
Comment on attachment 329657 [details]
Patch

Clearing flags on attachment: 329657

Committed r226222: <https://trac.webkit.org/changeset/226222>
Comment 4 WebKit Commit Bot 2017-12-21 07:44:02 PST
All reviewed patches have been landed.  Closing bug.
Comment 5 Radar WebKit Bug Importer 2018-01-02 12:59:03 PST
<rdar://problem/36260881>
Comment 6 Radar WebKit Bug Importer 2018-01-02 12:59:06 PST
<rdar://problem/36260882>